hadoop-pig-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jeff Zhang <zjf...@gmail.com>
Subject Re: error while compiling pig
Date Mon, 24 May 2010 05:30:55 GMT
You don't need to download jline by yourself. In eclipse, you only
need to run "ant jar", and then put all the jar under lib and
build/ivy/lib/Pig to the classpath.  And also put the pig.jar to the
classpath. Then You should be able to run pig script in eclipse using
the embedded mode, but I'm afraid you can't run it using cli mode, the
jline seems not work well in eclipse.



On Mon, May 24, 2010 at 1:11 PM, Renato Marroquín Mogrovejo
<renatoj.marroquin@gmail.com> wrote:
> Thanks Jeff, do I need to do this? I mean I downloaded it and put it on my
> jvm/lib/ext, then I run "ant" and it worked fine :)
> Hey do you know if we can run PIG in mapreduce mode inside eclipse? I
> haven't been able to even though I have my env variables set, and I
> configured the run properties in the IDE. Thanks again.
>
> Renato M.
>
> 2010/5/24 Jeff Zhang <zjffdu@gmail.com>
>
>> After you run "ant jar", the jline 0.94 will be in build/ivy/lib/Pig
>> You don't need to download jline by yourself.
>>
>>
>>
>> On Mon, May 24, 2010 at 10:49 AM, Renato Marroquín Mogrovejo
>> <renatoj.marroquin@gmail.com> wrote:
>> > Hi everyone, I fixed using this version of the JLine library --->
>> > jline-0.9.94
>> > I dunno why I downloaded a previous one, but I would like know which the
>> > actual used version is.
>> > Thanks again.
>> >
>> > Renato M.
>> >
>>
>>
>>
>> --
>> Best Regards
>>
>> Jeff Zhang
>>
>



-- 
Best Regards

Jeff Zhang

Mime
View raw message